# dns-config

This repository contains the code to manage all my DNS records.

### Helpful commands

```sh
# `preview`, `push` or `check` changes.
docker run --rm -it \
    -v "$HOME/app-data/dns-config:/dns" \
    ghcr.io/stackexchange/dnscontrol preview

# Pull in changes from an existing DNS provider
docker run --rm -it \
    -v "$HOME/app-data/dns-config:/dns" \
    ghcr.io/stackexchange/dnscontrol get-zones \
    --format=js --out=draft.js cloudflare - walr.us.eu.org
```
